[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.Clear

Clears the tree

## Declaration

Source position: avl_tree.pp line 127

`public procedure TAVLTree.Clear;`

## Description

Clear deletes all nodes from the tree. The nodes themselves are not freed, and the data pointer in the nodes is also not freed.

If the node's data must be freed as well, use TAVLTree.FreeAndClear instead.

## See also

TAVLTree.FreeAndClear |  | Clears the tree and frees nodes
TAVLTree.Delete |  | Delete a node from the tree